commit: 4c6f6e909a0822e86ed918c50e21f69581654190
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 16 23:42:20 2018 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sat Feb 17 01:38:04 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c6f6e90
dev-python/oslo-context: 2.20.0 bup
Package-Manager: Portage-2.3.19, Repoman-2.3.6
dev-python/oslo-context/Manifest | 1 +
dev-python/oslo-context/oslo-context-2.20.0.ebuild | 45 ++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-python/oslo-context/Manifest b/dev-python/oslo-context/Manifest
index f9713b43e74..39afa9d84d7 100644
--- a/dev-python/oslo-context/Manifest
+++ b/dev-python/oslo-context/Manifest
@@ -1 +1,2 @@
DIST oslo.context-2.17.1.tar.gz 27266 BLAKE2B
6d539af2d191103a411db0a7671d0ea4a9bb21d0a33e4e306ceac8455c4b0aafe594541b3cf7e565372dee66c3a7c6685b86c96256046e108ee21f74633d01a5
SHA512
f75d9cececaa095cab3b87b05ab0c4bf9f115b96ab7feb5607edd00a33440a4418692f4f6cf8a3dffbbc302758e734c4184f271e3860e65d9da95f0a97ae633f
+DIST oslo.context-2.20.0.tar.gz 28203 BLAKE2B
cbb3cb6f30b1b16011caa6fdec36c19aae571125b88f642bfc52c5a8a63a2b17eb308628d9a5f19b8a0c3bd28fb0db54e5485abd10c90c9495de05263ac25709
SHA512
ce7bd92c7e22e02e91bdc86e9b697f746233a41081b4f3ebb9fe30fec8000c69f732f55de0d333b349b8e01e638ddc835fd3cf0d8f7a11aa3454466a1e87ad08
diff --git a/dev-python/oslo-context/oslo-context-2.20.0.ebuild
b/dev-python/oslo-context/oslo-context-2.20.0.ebuild
new file mode 100644
index 00000000000..9f56c6954ad
--- /dev/null
+++ b/dev-python/oslo-context/oslo-context-2.20.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Helpers to maintain useful information about a request context"
+HOMEPAGE="https://pypi.python.org/pypi/oslo.context"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.context/oslo.context-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+ !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+ >=dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/oslo.context-${PV}"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+# This time half the doc files are missing; Do you want them?
+python_test() {
+ nosetests tests/ || die "test failed under ${EPYTHON}"
+}